Package org.apache.storm.daemon.drpc

# Class DRPC

java.lang.Object
org.apache.storm.daemon.drpc.DRPC

All Implemented Interfaces:
  `AutoCloseable`

public class DRPC extends Object implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DRPC(StormMetricsRegistry metricsRegistry, Map<String,Object> conf)`
  `DRPC(StormMetricsRegistry metricsRegistry, IAuthorizer auth, long timeoutMs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `<T extends OutstandingRequest>
  T`
  `execute(String functionName, String funcArgs, RequestFactory<T> factory)`
  `String`
  `executeBlocking(String functionName, String funcArgs)`
  `void`
  `failRequest(String id, DRPCExecutionException e)`
  `DRPCRequest`
  `fetchRequest(String functionName)`
  `void`
  `returnResult(String id, String result)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DRPC

    public DRPC(StormMetricsRegistry metricsRegistry, Map<String,Object> conf)

  - ### DRPC

    public DRPC(StormMetricsRegistry metricsRegistry, IAuthorizer auth, long timeoutMs)

- ## Method Details

  - ### returnResult

    public void returnResult(String id, String result) throws AuthorizationException
    Throws:
      `AuthorizationException`

  - ### fetchRequest

    public DRPCRequest fetchRequest(String functionName) throws AuthorizationException
    Throws:
      `AuthorizationException`

  - ### failRequest

    public void failRequest(String id, DRPCExecutionException e) throws AuthorizationException
    Throws:
      `AuthorizationException`

  - ### execute

    public <T extends OutstandingRequest> T execute(String functionName, String funcArgs, RequestFactory<T> factory) throws AuthorizationException
    Throws:
      `AuthorizationException`

  - ### executeBlocking

    public String executeBlocking(String functionName, String funcArgs) throws DRPCExecutionException, AuthorizationException
    Throws:
      `DRPCExecutionException`
      `AuthorizationException`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`